0.8.30.5620
-----------
* Added portable release (ready for PortableApps)
* x264 r2431
* x265 1.0.9
* MP4Box 0.5.2-r5225

0.8.29.5608
-----------
* Fixed AVS file decoding breakage
* FFmpeg 2.2.1
* MP4Box 0.5.1-r5210
* x265 0.9.68 (x64)

0.8.29.5602
-----------
* Fixed VP9 encoding breakage
* Updated x264 r2409
* Updated x265 0.8.195

0.8.29.5600
-----------
* Revised x265 command line options
* Updated x265 0.8.90
* Updated FFmpeg 2.1.4
* Updated QAAC 2.35

0.8.29.5599
-----------
* Fixed audio decoder blocking prompt in H.265 encoding with SVE enabled
* Fixed x265 custom preset option not working bug
* Changed x265 open-gop option to disabled by default to avoid seeking issue in MP4 container
* Updated x265-0.7.232 (x64)

0.8.29.5597
-----------
* Fixed H.265/HEVC compatibility issue with Segmental Video Encoding (MP4 containier only)
* Updated MP4Box 0.5.1-r5080

0.8.29.5595
-----------
* Added H.265/HEVC encoding
* Added x265 0.7.183
* Added MKVMerge with HEVC patch

0.8.28.5588
-----------
* Updated QAAC 2.34
* Fixed duplicated audio stream bug in 2-pass mode
* Fixed FFmpeg MPEG-TS multiplexing issue
* Fixed command line bug of FFmpeg CBR encoding
* Fixed TSMuxer dual audio stream multiplexing issue

0.8.28.5585
-----------
* Added tools64 directory for placing 64-bit tools
* Updated QAAC 2.32
* Updated MP4Box 0.5.1 (x86)

0.8.28.5582
-----------
* Added VP9 encoding support
* Removed some outdated video formats
* Faster seeking with FFmpeg as video source
* Fixed bitrate calculation inaccurate issue when specifying target file size
* Optimized video preprocessing parameters for GPU encoding
* Updated MKV Toolnix 6.6.0
* Updated MP4Box 0.5.1 (x64)
* Updated Opus tools 0.1.8
* Updated vpxenc 1.3.0

0.8.27.5573
-----------
* Fixed the bug of keeping intermediate files option
* Updated QAAC 2.26
* Updated MediaInfo 0.7.65
* Updated FFmpeg 2.1.1
* Updated x264 r2377 (komisar)
* Fixed FFmpeg muxing raw H.264 bug

0.8.26.5560
-----------
* Fixed multi-pass encoding failure at 2nd pass beginning with very large files
* Fixed auto-level video filter issue when video height undividable by 8
* Fixed H.264 stream copy issue
* Updated x264 r2359
* Updated FFmpeg git-d1a1656

0.8.25.5556
-----------
* Added VOB as container option
* Fixed audio copy or video copy issue with VOB/MPEG2 files
* Fixed some encoding issues due to FFmpeg command line changes
* Updated FFmpeg git-547d690

0.8.25.5553
-----------
* Fixed tsMuxer muxing issue with AAC audio
* Fixed FFmpeg muxing issue with H.264 video
* Fixed a rare audio/video desync issue
* Fixed a rare MEncoder decoding blocking issue
* Fixed audio normalization breakage in 5550

0.8.24.5550
-----------
* Re-implemented splitting function (by time or by segments)
* Fixed ALAC encoding issue with QAAC
* Updated QAAC 2.19

0.8.24.5542
-----------
* Using FFmpeg as default video source for MKV and TS files
* Fixed FFmpeg video source A/V issue in some rare cases

0.8.24.5540
-----------
* Fixed FFmpeg video source blocking issue
* Updated Intel GPU Encoder with Intel Media SDK 2013-R2
* Updated x264 r2348
* Updated FFmpeg git-38b701a
* Updated MediaInfo 0.7.64

0.8.23.5530
-----------
* Updated FLAC 1.3
* Added FFVideoSource option for AviSynth
* Fixed A/V sync issue of AviSynth source for some files
* Fixed AviSynth decoding block issue
* Fixed a bug which may cause interlacing identified as progressive

0.8.22.5522
-----------
* Improved calling sequence and controlling of decoders and encoders for better stability
* Fixed a memory leak bug
* Automatically turning off SVE for short video
* Fixed decoding problem of some AVI and WMV files
* Use same instance of FFmpeg for decoding video and audio streams
* Fixed video source automatic fallback (trying different video sources)
* Added audio source automatic fallback (trying different audio sources)

0.8.22.5510
-----------
* Fixed 1080i video green band issue
* Fixed issues of converting video to image sequence and generating thumbnails
* Minor tweak-up in SVE
* Added the option for keeping intermediate files on error
* No longer using the buggy MPlayer GUI for playback
* Updated VP8 encoder (vpxenc) 1.1.0
* Updated MPlayer/MEncoder r36305

0.8.22.5508
-----------
* Fixed a bug in SVE which may cause freezing at the end of encoding
* Fixed cropper UI freezing bug
* Added converting video/image to C array code

0.8.22.5506
-----------
* SVE (Segmental Video Encoding) now compatible with multi-pass encoding
* Fixed SVE issue with Xvid in MP4 container
* Fixed some minor bugs of SVE
* Fixed playback window not showing up

0.8.22.5500
-----------
* New Segmental Video Encoding (SVE) technology for parallelizing and accelerating video encoding
* Added SVE tab for viewing the SVE algorithm statistics
* Fixed distributive encoding breakage
* Distributive mode supporting H.264 and VP8 encoding
* Improved the sizing strategy of the Adaptive Transcoding Cache
* Updated MediaCoder Agent (x64 version available)
* Fixed quality option not adjustable in multi-pass CRF mode
* Updated x264 r2334

0.8.21.5399
-----------
* Fixed a bug in image conversion
* Fixed x264 bit-depth version mismatch in previous x64 builds
* Included missing DLL for Opus encoder
* Adjusted "Sound" tab layout
* Fixed AviSynth audio source breakage
* Fixed bitstream scanning blocking issue for some defective files
* Updated Opus audio codec (libopus 1.1)
* Replaced qtaacenc with qaac (another actively maintained CLI for Apple's AAC encoding engine)
* Updated MediaInfo 0.7.63

0.8.21.5395
-----------
* Auto adjusting resolution to perform display aspect ratio conversion with cropping and expanding
* Fixed decoding issue of 1920x1088 video (mostly 1080i MBAFF)
* Added OpenCL device ID option (in advanced settings)
* Fixed a CDDA issue
* Fixed a Cuesheet file parsing bug
* Updated x264 r2310

0.8.21.5392
-----------
* Added OpenCL detection and OpenCL option for x264
* Added raw image sequence output
* Improved image decoding performance
* Added "Auto" in denoiser option (automatically enabling denoiser)
* Updated x264 r2309 (OpenCL enabled)
* Updated MPlayer & MEncoder svn-r36169 (built with FFmpeg 1.2.0)
* Updated MKV Toolnix 6.2.0
* Added encoding frame display via serial port

0.8.20.5380
-----------
* Fixed UI bug of AviSynth option tab
* Fixed green band issue when ripping BD with target resolution unset
* Fixed audio not completely processed bug when end position set for DVD/BD ripping
* Excluding UI related parameters in exported preset file
* Updated MPlayer/Mencoder svn-r36092
* Updated FFmpeg 1.2
* Updated MediaInfo 0.7.62

0.8.19.5370
-----------
* Fixed out-of-sync issue for some RMVB video
* Fixed QT AAC encoder VBR parameter bug
* Fine tuned temporal denoiser parameters
* Improved application icon for Windows 8
* Updated x264 (r2273)
* Updated FFmpeg 1.1.3
* Updated MPUI (for playing output files)

0.8.18.5360
-----------
* Implementation of parallel video filters (automatic level, deblocking and deringing)
* Updated FFmpeg (git-e9d443c)
* Updated x264 (r2245)

0.8.18.5350
-----------
* Fixed processing issue when video frame width is undividable by 4
* Fixed some FFmpeg encoding issues
* Updated MKV Toolnix 6.0.0 (header compression off by default)
* Reworked task complete dialog with more details
* Fixed green screen issue with GPU encoding in build 5350

0.8.18.5350
-----------
* High performance temporal denoising for GPU encoding
* Fixed end position ignored issue for audio only encoding 
* Fixed FFmpeg audio source compatibility issue with Nero Encoder
* Added volume filter option for FFmpeg audio source
* Updated FFmpeg (git-5ce023b)

0.8.18.5348
-----------
* Fixed sampling rate check bug for HE-AAC encoding
* Updated FFmpeg (git-7e5c5fa)
* MEncoder rebuilt to restore support for decoding large files (>2GB)
* Fixed DVD/BD chapter time display in task list

0.8.18.5345
-----------
* Updated JM H.264 reference encoder to 18.4
* Fixed shrink-only scale option no effect when cropping is enabled
* Fixed aspect ratio detection issue in DVD/BD ripping
* Fixed new CUDA encoder problems (including VBR/CRF mode breakage)

0.8.18.5338
-----------
* CUDA encoder updated (built with CUDA 5.0, more options, better performance)

0.8.18.5335
-----------
* Fixed DVD and Bluray ripping breakage
* Added copying creation and last-write time from input files
* Added multi-pass CRF mode (first-pass in CRF, x264 only)
* Fixed x264 warning on the last pass in multi-pass processing
* Fixed parameters no effect bug for FFmpeg deshake and denoise filters

0.8.18.5330
-----------
* Optimized Intel MSDK encoder processing routines (fully working in NV12 colorspace, increased performance)
* Added Direct3D 11 option for Intel MSDK encoder
* Added ASS/SSA subtitle support
* Added global subtitle file option on Subtitle tab
* Fixed blocking issue when paring some file formats
* Fixed A/V sync issue with some VFR (variable frame rate) video formats
* Fixed low-framerate conversion issue with AviSynth
* Improved video rendering efficiency of preview window and dashboard window
* Added MPUI (a light-weight MPlayer GUI) for better experience of playing transcoded files
* Updated MPlayer & MEncoder (with ASS/SSA subtitle, Opus audio and Blu-ray supports)
* Updated Intel MSDK encoder (built with Intel Media SDK 2012-R3)
* Updated Opus audio encoder
* Updated MKV Toolnix 5.9.0

0.8.17.5302
-----------
* Taskbar progress display now shows total task progress
* Changed default video source of MKV files back to MEncoder
* Fixed bug causing Nero AAC not working with TS Muxer
* Fixed auto cropping/expanding issue with some resolutions

0.8.17.5300
-----------
* Added customizable dashboard window
* Updated MP4Box 0.5.0
* Updated MKV Toolnix 5.8.0
* Updated MediaInfo 0.7.61
* Updated x264 r2230
* Updated 7z library to 9.22

0.8.16.5296
-----------
* Fixed Windows 7 task bar progress display issue
* Updated preset settings for latest iPod Nano
* Updated French translation
* Updated FFmpeg (git-c995644)

0.8.16.5292
-----------
* Fixed FFmpeg not allowed to mux VP8 video bug
* Fixed several minor UI bugs
* Fixed duration not accurately identified bug for video longer than 60 minutes
* Added toggable gadget preview window when application window minimized
* Added Windows 7 taskbar progress display
* Improved video preview window efficiency
* Built with Visual Studio Express 2012 (x64 version only)

0.8.15.5280
-----------
* Fixed a bug causing settings cannot be reverted completely
* Added transcoding statistics data visualization
* Added de-shake filter options for FFmpeg
* Updated MediaInfo 0.7.60
* Updated FFmpeg (git-070b0e1)

0.8.14.5275
-----------
* Added CRF mode when encoding H.264 with FFmpeg 
* Fixed MediaCoder Configuration Wizard breakage
* Removed prompt for Premium in dual audio track transcoding
* Updated French translation
* Updated MediaInfo 0.7.59
* Updated FFmpeg (git-633b90c)

0.8.14.5270
-----------
* Added Opus audio format support
* Fixed subtitle issue with some MKV files

0.8.13.5266
-----------
* Added playback speed transforming feature
* Improved DirectShow capture efficiency in time-lapse mode
* Updated x264 r2208

0.8.13.5262
-----------
* Xvid fourcc issue in AVI container fixed
* Updated built-in HTTP daemon (miniweb)
* Reverted MPlayer to previous revision for restoring Add Track breakage

0.8.13.5260
-----------
* Integrated FFmbc
* Added MXF format
* Supporting 24-bit and 32-bit audio
* Audio stream selection now possible when FFmpeg used for decoding
* Fixed several FFmpeg interfacing issues
* Updated MPlayer r35003

0.8.12.5250
-----------
* Fixed multiple audio track identifying issue
* Fixed picture rotating issue when scaling is enabled
* Updated x264 r2200
* Updated MediaInfo 0.7.58
* Updated FFmpeg (20120608)

0.8.12.5248
-----------
* Sync with recent FFmpeg command line changes
* Fixed up the broken Streaming Mode
* Added RTMP streaming

0.8.12.5245
-----------
* Fixed a bug in output file name formatting
* Fixed AC-3 muxing bug with TSMuxer
* Update Xvidcore with a better optimized (and faster) build
* Updated FFmpeg (Zeranoe build 20120519)

0.8.12.5242
-----------
* Fixed FFmpeg issue in x64 version
* Added time-lapse video recording

0.8.12.5240
-----------
* Fixed MJPEG encoding breakage
* Synced with some FFmpeg command line changes
* Updated Google VP8 encoder to v1.0.0
* Updated x264 r2197
* Updated FFmpeg (Zeranoe build 2012-05-02)

2011-R11 (build 5236)
* Switching FFmpeg to static build
* Removed the prompt for missing DXVA2.dll on system without DirectX 9
* Fixed aspect ratio issue of Intel MSDK encoder
* Updated LAME 3.99.5
* Updated oggenc2.87-1.3.3

2011-R11 (build 5233)
* Added CQP as a new rate mode (VBR now equals to CRF)
* Added CQP mode for Intel MSDK encoder
* More accurate realtime statistics (bitrates and estimated output file size)
* Updated MP4Box r3955
* Updated MediaInfo 0.7.54

2011-R11 (build 5230)
* Added frame cropping function for Intel MSDK encoder
* Slight performance gain after tuning up Intel MSDK encoder 
* Fixed Intel MSDK encoder messing up 1080p frame bug
* Display "Intel MSDK" on status bar when Intel GPU acceleration capability detected
* Updated the "Enhanced for Intel" LOGO as was suggested by Intel
* Updated iPhone UI plugin for adding iPad 3 preset
* Allowing AC-3 to be muxed into MP4 container
* Fixed an image overlay bug
* Updated x264 r2183

2011-R10 (build 5226)
* Fixed Fraunhofer MP3 encoder bitrate option not effective bug
* Fixed video rate mode button malfunction
* Updated x264 quantizer option range (0~69) and subpel refinement quality range (0~11)
* Fixed AviSynth script generation bug when video EQ enabled
* Fixed variable frame rate not correctly detected issue (iPhone4 uses VFR)
* Updated FFmpeg (Zeranoe build 2012-02-15)
* Updated MP4Box 0.4.6-DEV-rev3923
* Updated MediaInfo 0.7.53

2011-R10 (build 5220)
* Fixed a AviSynth source colorspace bug
* Fixed image stacking (in PIP mode) issue
* Updated MediaInfo 0.7.52
* Updated FFmpeg (x64 only)
* Updated LAME 3.99.3
* Updated oggenc 2.87-aoTuVb6.03

2011-R10 (build 5215)
* Fixed subtitle file selection bug
* Changed layout of preview tab
* Improved audio/video capture device input
* Added local IP display in MediaCoder Agent
* Updated x264 r2120
* Updated MPlayer/MEncoder r34401 (built with libbluray)
* Updated FFmpeg (Zeranoe build 20111212)

2011-R10 (build 5210)
* Added experimenting MediaCoder Agent for distributed transcoding
* Added new "Distributive" task mode
* Updated FFmpeg (Zeranoe build 20111121)

2011-R10 (build 5200)
* Fixed MP3 encoding noise bug
* Fixed progress indicator bug in 2-pass mode
* Fixed auto shut down not working bug
* Added quick navigation links in Settings dialog
* Changed default encoding color to video source default
* Added support for decoding S-Box (the vehicle data and video logger) recorded video
* HTML based UI rendered with system default web browser under Linux/Wine
* Updated x264 r2106

2011-R9 (build 5198)
* Updated LAME 3.99
* Fixed LAME-MT encoding issue
* Fixed double frame rate issue when muxing with FFmpeg
* Fixed XVID fourcc issue in AVI container
* Updated FFmpeg (Zeranoe build 20111019)

2011-R9 (build 5195)
* Fixed issues and bugs of Dropbox mode
* Fixed breakage of FFmpeg as muxer
* Re-added the option of system codecs decoding
* Updated FFmpeg (Zeranoe build 20111013)

2011-R9 (build 5191)
* Improved watch-folder feature
* Some random fix
* Updated MPlayer/MEncoder r34118
* Updated x264 r2085
* Updated FFmpeg (Zeranoe build 20110925)

2011-R8 (build 5188)
* Fixed stopping audio transcoding causing crash bug
* Switched to libjpeg-turbo for accelerating JPEG image encoding with SIMD
* Improved JPEG image sequence output
* Updated x264 r2074
* Updated FFmpeg (Zeranoe build 20110906)

2011-R8 (build 5185)
* Fixed MPlayer audio decoding problem
* Fixed Intel accelerated encoder profile setting no effect bug (always encoding in high profile)
* Fixed video rotation breakage
* Fixed wrong prompt for output file existence
* Updated x264 r2057
* Updated FFmpeg (Zeranoe build)

2011-R8 (build 5180)
* Fixed a UI freezing bug
* Added LAME-MT
* Updated MediaInfo 0.7.47
* Updated x264 r2044

2011-R7 (build 5177)
* Added multiplexer timeout check (avoid blocking in batch processing)
* MPlayer/MEncoder r33883

2011-R7 (build 5175)
* Added integration check for elementary streams before muxing
* Fixed MPEG-2 interlaced encoding breakage
* Fixed Monkey's Audio decoding crashing bug
* xvidcore 1.3.2
* Monkey's Audio SDK 4.11

2011-R7 (build 5172)
* Added option for choosing video encoder automatically on GPU detection
* Added support for Intel Media SDK 3.0
* Sync with latest MediaInfo interface change (so that MediaInfo can be finally updated)
* Fixed video track ID retrieving bug
* Fixed muxer absent bug in x64 version
* x264 r2019
* FFmpeg r31329
* MediaInfo 0.7.46

2011-R6 (build 5166)
* Add muxing state and progress display
* Fixed some minor UI issues
* MEncoder r33574
* FFmpeg r30698

2011-R6 (build 5160)
* Improved advance settings dialog
* Fixed incorrect auto resolution adjustment when PAR is set
* Fixed video bitrate read-out bug for MPEG-2/VOB
* Aware of audio track delay information and applying it to transcoding
* Fixed a bug in free cropping
* MKV Toolnix 4.8.0

2011-R5 (build 5158)
* Fixed occasional UI crashing bug
* Fixed input of video max/min rate and buffer size not saved bug
* Updated x264 to r1995
* Updated MPlayer/MEncoder r33488

2011-R5 (build 5155)
* Fixed tray icon mouse over crashing bug
* Updated UI plugins
* Updated German translation

2011-R5 (build 5152)
* Fixed 2-pass transcoding breakage
* Fixed audio cache memory leak bug
* Fixed another blocking issue when processing multiple parallel tasks
* Using AviSynth to decode MKV/M2TS/TS as first priority (and fallback to MEncoder)
* Added an option to toggle video decoder fallback (overall.video.fallback)
* Fixed AviSynth audio decoding problem on some systems
* Restored missing dual audio support in recent builds
* Fixed per-task preset file not loading bug

2011-R4 (build 5142)
* Reworked XUL-based UI with HTML (farewell to XUL and XULRunner)
* Fixed UI locking up bug
* Fixed AviSynth template function not working issue
* AviSynth used as first priority for M2TS and MKV decoding (fallback to MEncoder and FFmpeg on failure)
* Attempts to fix DVD track transcoding starting over at the end
* MPlayer/MEncoder r33216 rebuilt to add large file (>2GB) support
* Updated German translation
* MP4Box 0.4.6-DEV rev3015
* MKVMerge 4.7.0
* x264 r1995

2011-R3 (build 5138)
* Added transcoding memory consumption display
* Fixed cache size decision bug when free memory is more than 4GB (causing out-of-memory problem)
* Fixed VBV parameters missing for VBR mode
* Changed WebM default muxer from FFmpeg to MKVMerge to fix audio choppy issue of VP8+WebM
* Fixed a possible parallel task blocking issue
* x264 r1947

2011-R3 (build 5135)
* Added max/min bitrate and VBV buffer size option in video tab
* Fixed "delete" option in relocation function not working bug
* Fixed a bug in video copy mode
* Fixed opening Settings dialog causing crashing bug

2011-R3 (build 5130)
* More information in transcoding queue list
* Fixed mutiple paralell tasks blocking issue
* Fixed CPU frequency detection not working in x64 version
* Added video source failure automatic fallback function
* Fixed Xvid in AVI fourcc issue
* Fixed interlacing option bug
* FFmpeg audio source now able to decode into multi-channel PCM
* Updated x264 to r1936
* Sync with x264 command line change

2011-R2 (build 5120)
* Added VP8 video and WebM container support
* Fixed interlaced encoding issue
* Fixed FFmpeg encoding stats readout bug
* Improved VBV buffer options handling
* Adjusted CUDA encoder peak rate limited issue with default settings
* Fixed blocking issue on partially finishing a task
* Fixed transcoding unexpectedly terminating issue
* Updated MEncoder/MPlayer to r33216
* Updated FFmpeg to r28849
* Added VPX encoder 0.9.6.1

2011-R1 (build 5100)
* Syncing with latest x264 command line interface
* Fixed live bitrate and estimated size not displaying bug
* Added live CPU frequency display
* Fixed A/V sync issue when MEncoder decoding MTS files with "frame doubling" 
* Added MediaCoder ID validation mechansim
* Intel accelerated encoder runtime included
* Updated xvidcore to 1.3.1
* Updated x264 to r1924
* Updated MPlayer/MEncoder to r33124
* Updated FFmpeg to r28671
* Updated MKVMerge 4.6.0

2011-RC3-5070
* MediaCoder build 5070
** Fixed auto resolution adjustment no effect bug
** Fixed frame rate mis-detection of progressive MTS files
** Fixed AviSynth decoding issue in RGB mode
** Fixed audio bitrate mismatch when encoding AC-3
** Fixed encoding preview bug when transcoding in RGB colorspace

2011-RC3-5067
* MediaCoder build 5067
** Fixed ffmpeg 2-pass encoding breakage
** Fixed mencoder decoding TS file issue
** Fixed audio delay option no effect bug
** Fixed huffyuv encoding breakage
** Fixed preview image messed up issue with video resolution undividable by 4
** Fixed thumbnail generation bug in 2-pass mode (now thumbnails are only generated in 1st pass)
** Intel MSDK encoder automatically fall back to software implementation when hardware acceleration is unavailable

2011-RC3-5060
* MediaCoder build 5060
** Fixed stream copy for both audio and video not working issue
** New features in video (and image) stacking
** Added Intel Media SDK support
** Fixed avs file not loading issue
** Added check boxes in the task queue
** Fixed dual audio stream issue
** Automatic color space conversion on input/output format mismatch
** Fixed x264 2-pass issue when enabling parallel tasking
** Fixed WMV decoding slow issue
** Updated French and Ukrainian translation
* FFmpeg rebuilt to update the out-of-date libmp3lame which causes some problems
* x264 r1917

2011-RC2-5030
* MediaCoder build 5030
** MKVMerge can mux Xvid raw stream
** Added decoder and encoder CPU utilization display
** Fixed A/V sync issue when decoding with MEncoder
** Fixed video stacking issue
** Fixed a cropper UI bug
** Added option of using external player for playback
** Added option tab for image sequencer
** Fixed subtitle codepage recognition issue
** Fixed H.264 2-pass issue
** Exprimental MediaCoder Dropbox
** Fixed transcoding pausing issue
* x264 r1900
* mplayer-mt r32848
* mencoder-mt r32848

2011-RC2-5011
* MediaCoder build 5011
** Fixed Windows Media Video 9 encoding issue
** Fixed m4v muxing issue
** Fixed xvidcore version display bug
** Fixed encoder and muxer version display bug
** Updated German translation (by TheVVS)
** Special splash screen for Chinese new year of Rabbit
* x264 r1884
* mplayer-mt r32735
* mencoder-mt r32735
* ffmpeg r26112
* MKV toolnix 4.4.0

2011-RC1-5000
* MediaCoder build 5000
** Video stacking (horizontal, vertical, 2x2 tile, picture-in-picture, interleaved)
** Stereoscopic 3D video encoding
** Batch image conversion (supporting major image formats as well as MPO the 3D image format)
** New video source of Image Decoder for decoding image or image sequence and converting to video with transition effects
** New video encoder of Image Sequencer for saving video frames into seperate image files
** Added folder watcher feature (automatically queuing newly present files in watched folders)
** Added post-transcoding actions
** Added I444 color space support
** Improved color space handling
** Improved thumbnail picture generation function with more options
** Added multiple de-logo function
** Improved UI layout and details and added many more useful options
* x264 r1867
* Xvid 1.3.0 (with SSE3 build)
* Oggenc2.87 using libVorbis v1.3.2

0.7.5.4798
* [update] MediaCoder build 4798
** [fix] CUDA H.264 encoder breakge on x64 platform
** [add] delogo options
** [fix] cue sheet file handling breakage
** [fix] audio stream selection no effect bug
** [fix] occasional crashing issue in 4795
* [update] x264 r1834
* [update] MPlayer/MEncoder r32669 (WW build)
* [update] CUDA H.264 encoder (compatible with latest nVidia driver)
* [update] MediaInfo 0.7.37

0.7.5.4795
* [update] MediaCoder build 4795
** [add] auto detection of subtitle file encoding
** [fix] H.264 raw stream encoding always reported error 19
** [fix] AviSynth decoding + FFmpeg encoding issue
* [update] x264 r1804

0.7.5.4790
* [update] MediaCoder build 4790
** [fix] exiting whiling encoding causing crashing issue
** [update] Add Capture Device dialog
** [update] encoding preview efficiency improved
** [fix] task progress display issue in 2-pass mode
* [update] x264 r1790

0.7.5.4785
* [update] MediaCoder build 4785
** [fix] x264 reference frame option no effect when preset specified
** [update] iPod/iPhone/iPad plugin
** [update] French translation
** [fix] FFmpeg bitrate issue, rounding bitrate for AC-3 and MP2
** [fix] nero audio bitrate bug
** [add] I422, YUY2, RGB color space support
** [add] 10-bit x264 encoding
** [add] automatic video bitrate setting by specifying bitrate ratio or desired output file size
** [add] automatic audio bitrate setting by specifying bitrate ratio 
* [update] x264 r1772
* [add] x264 10-bit depth r1772

0.7.5.4762
* [update] MediaCoder build 4762
** [add] automatic channel volume balance (for stereo only)
** [fix] HE-AAC in MPEG TS muxing issue
** [fix] some video stream copy issues
** [add] audio ReplayGain calculation
** [add] 2-pass audio normalization with calculated ReplayGain
** [fix] volume gain slider bar direction up side down issue
** [add] new DirectShow Capture audio source for capturing and encoding audio directly from webcam, microphone etc.
** [fix] FFmpeg "-flags" command line bug
** [fix] audio only transcoding of video files speed slow issue
** [fix] mplayer audio source not working in audio only transcoding
** [fix] device UI start button causing crashing issue
** [update] iPod/iPhone/iPad UI, HE-AAC option added
* [update] FFmpeg r25456
* [update] MPlayer/MEncoder MT r32492
* [update] MediaInfo 0.7.36
* [update] x264 r1745

0.7.5.4740
* [update] MediaCoder build 4740
** [add] automatic resolution adjustment for keep aspect ratio without applying cropping or expanding
** [add] more controls on frame rate and resolution
** [fix] AviSynth cropping parameter mistake
** [fix] preview picture aspect ratio problem
** [fix] elementary stream files appear in outpot unexpectedly in 2-pass transcoding
** [fix] several minor fixups
* [update] x264 r1713
* [update] tsMuxer

0.7.5.4730
* [update] MediaCoder build 4730
** [add] XUL-based preset manager (experimental)
** [fix] transcoding dual audio track crashing issue
** [update] disabling LAME auto resampling by default which causing sampling rate of LAME output different from the original
* [update] MediaInfo reverted to 0.7.29 for better stability
* [update] FFmpeg reverted to r22815 for better stability
* [add] XULRunner 1.9.1.17 bundled

0.7.5.4720
* [update] MediaCoder build 4720
** [add] new preview tab
** [add] software scaling and color space conversion for DirectShow capture input 
** [add] demuxing MKV with MKVExtract
* [update] CUDA H.264 encoder 
* [update] x264 r1688
* [update] FFmpeg r24254
* [update] MPlayer/MEncoder r31873
* [add] MKVExtract 4.2.0

0.7.5.4710
* [update] MediaCoder build 4710
** [update] cropping method for AviSynth
** [add] DirectShow video capture device input (webcams etc.)
** [add] support for RV24/RGB24 and YUY2 colorspaces
** [fix] multiple audio stream detection issue
* [update] x264 r1683
* [update] FFmpeg r24254
* [update] MKVMerge 4.2.0

0.7.5.4700
* [update] MediaCoder build 4700
** [add] parallelized transcoding
** [add] automatically adjusting encoder threads according to the number of parallelized jobs
** [add] switching between parallelized jobs for viewing statistics data and live preview video
** [add] start position can be specified for test phase
** [add] test phase result can be saved
* [update] x264 r1666
* [update] MP4Box v0.4.6 dev 20100612

0.7.3.4685
* [update] MediaCoder build 4685
** [add] aware of Debugmode Frameserver signpost file and switching to AviSynth automatically
** [fix] MKV parsing and demuxing issue
* [update] x264 r1659
* [update] FFmpeg r23816
* [update] FAAC updated to solve LC-AAC encoding breakage

0.7.3.4677
* [update] MediaCoder build 4677
** [add] prompt of incomplete transcoding (error code 19)
** [add] using flvmdi utility to add metadata for flv files
** [update] separate FLV and F4V container
** [fix] parsing issue for broken files
* [update] x264 r1629
* [update] MediaInfo reverted to 0.7.30 for better stability

0.7.3.4672
* [update] MediaCoder build 4672
** [fix] encoding speed control causing timeout issue
** [fix] CUDA encoder crashing issue
** [add] very experimental support of VLC video source (mainly for webcam and streaming input)
** [add] encoding raw audio and video streams without muxing
* [update] x264 r1592
* [update] MediaInfo 0.7.33
* [update] MPlayer/MEncoder r31170
* [update] FFmpeg r23107

0.7.3.4666
* [update] MediaCoder build 4666
** [add] encoding speed control
** [add] experimental realtime RTSP/RTP streaming out
** [fix] faulty picture scan type detection for some files
** [fix] processor affinity option bug
** [fix] some AviSynth script generation issues 
* [update] x264 r1583
* [update] MediaInfo 0.7.31

0.7.3.4640
* [update] MediaCoder build 4640
** [add] new x264 options for Blu-ray encoding
** [fix] several UI issues
** [fix] output MP4 not streaming issue
** [update] x264 command line options
** [update] iPod UI plugin (iPad and Apple TV preset added)
** [update] French translation (Muriel Bonfils)
* [update] x264 r1564 (supporting Blu-ray encoding)
* [update] MediaInfo 0.7.30
* [update] MP4Box 0.4.6-dev (rev 5)

0.7.3.4625
* [update] MediaCoder build 4625
** [fix] audio CD ripping breakage
** [fix] invalid flags option in FFmpeg command line
** [fix] A/V sync issue with some input formats (including Canon 5D-MKII produced video)
** [fix] AviSynth path bug
** [fix] FFmpeg interlaced encoding issue
* [update] FFmpeg r22815
* [update] MediaInfo 0.7.30
* [update] x264 r1538

0.7.3.4612
* [update] MediaCoder build 4612
** [fix] UI messing up issue on window resizing
** [fix] MEncoder encoding issue
** [update] support for latest JM H.264/AVC encoder
** [fix] MEncoder loading issue when using CUDA encoder
** [fix] MKV subtitle not displayed issue when video source set to auto select
** [update] Traditional Chinese translation (Rambocnc Chou)
* [update] x264 r1471
* [update] JM H.264/AVC encoder 17.0
* [update] MPlayer/MEncoder svn rev 30815

0.7.3.4606
* [update] MediaCoder build 4606
** [add] FFmpeg custom matrix option
** [add] option for disabling x264 psychovisual optimization
** [fix] AviSynth YADIF issue
** [fix] MEncoder loading issue in some occasions
** [fix] raw video encoding not usable bug
** [fix] OGG not muxed in MKV issue
** [fix] H.264 not muxed in F4V issue
** [fix] Xvid in AVI fourcc issue
** [fix] MKVMerge not working in x64 edition
** [update] French translation (Muriel Bonfils)
** [update] German translation (M. Moller)
* [update] x264 r1442

0.7.3.4600
* [update] MediaCoder build 4600
** [add] prompt of audio format not supported by audio encoder
** [add] CPU utilization display in stats window
** [fix] using external audio file in video transcoding causing crash bug
** [fix] 3GPP container not usable bug
** [fix] WMA 7 encoded as WMA 8 bug
** [add] separate WMV into WMV 8 and WMV9 in video format list
** [add] M2TS container support
** [fix] Flash Video 2-pass encoding issue
** [fix] summary content mismatching with settings
** [add] support for more audio formats
** [fix] detecting MBAFF as interlaced mode
** [add] audio format option (formally only audio encoder option available)
** [add] automatic audio encoder selection according to audio format
** [fix] expert UI mode crashing issue
* [update] x264 r1416
* [update] MediaInfo 0.7.27
* [update] MKVMerge 3.1.0
* [update] SDL 1.2.14
* [update] MPlayer/MEncoder r30521
* [add] FFmpeg x64 build

0.7.2.4582
* [update] MediaCoder build 4582
** [update] all DAR/PAR related code rewritten
** [add] aspect ratio display in media information sidebar
** [fix] aspect ratio detection issue with some files
** [fix] affinity option UI bug
** [fix] MPlayer video source causing MediaCoder crashing bug 
** [fix] DVD transcoding breakage
** [fix] auto deinterlacing for DVD transcoding
** [update] retrieving more DVD stream properties
* [update] MPlayer/MEncoder

0.7.2.4570
* [update] MediaCoder build 4570
** [fix] aspect ratio issue for MKV output
** [fix] muxing issues for several not commonly used container formats
** [update] audio & video duration more precisely aligned when specifying duration
** [update] preparing architecture for upcoming segmental transcoding support
* [update] MKVMerge 3.0.0
* [update] x264 r1376

0.7.2.4560
* [update] MediaCoder build 4560
** [add] easily control processor cores to use
** [add] processor affinity options for audio/video decoder and encoder
** [add] CBR rate mode (effective for x264 and FFmpeg only)
** [add] resolution value suggestion according to aspect ratio
** [fix] aspect ratio option float value input issue
** [fix] FFmpeg command line issue
* [update] MediaInfo 0.7.25
* [update] x264 r1373

0.7.2.4536
* [update] MediaCoder build 4536
** [fix] effect and clipping window video not show issue on Vista/Win7
** [fix] FFmpeg command line update for flags
** [add] codec path option on CT AAC+ option tab
* [update] MediaInfo 0.7.24
* [update] x264 r1332

0.7.2.4530
* [update] MediaCoder build 4530
** [update] SAR calculation improved
** [update] SAR taken into consideration when doing auto cropping/expanding
* [update] MediaInfo 0.7.23
* [update] x264 r1310

0.7.2.4528
* [update] MediaCoder build 4528
** [add] x264 sar calculation
** [fix] AviSynth frame rate issue
** [update] PSP plugin
** [update] German translation
* [update] x264 r1301

0.7.2.4526
* [update] MediaCoder build 4526
** [fix] wavpack and flac decoder not seeking to specified start position issue
** [update] x264 threads decision
** [update] behavior of new version prompt
** [update] PSP plugin
** [fix] encoding frame preview window issue
* [update] x264 r1292

0.7.2.4522
* [update] MediaCoder build 4522
** [add] new x264 options
** [fix] audio stream ID detection issue with some non-standard files
** [add] new implementation of VFW codecs encoding (experimental)
** [fix] x264 2-pass encoding issue
** [fix] video playback issue on Vista/Win7
** [fix] blocking caused by non audio/video file in the queue
** [fix] formatted output file name bug
** [update] Finnish translation
* [update] CUDA H.264 encoder CLI
* [update] x264 r1271
* [fix] installer failed to unpack downloaded FFmpeg issue

0.7.2.4512
* [update] MediaCoder build 4512
** [fix] AviSynth's Bob de-interlacing causing lines doubled issue
** [fix] auto finding CT AAC+ encoder in Winamp installation
** [fix] AviSynth and CUDA H.264 encoder co-working issue
** [fix] statistics not shown when input content's duration cannot be detected

0.7.2.4510
* [update] MediaCoder build 4510
** [add] automatic de-interlacing
** [fix] tags not retrieved and transferred issue
** [fix] picture expanding issue when using AviSynth
** [fix] audio only transcoding issue when AviSynth set as video source
** [fix] AviSynth and FFmpeg not working together issue
** [fix] playback of transcoded file not working normally
* [update] FFmpeg reverted to r18695
* [update] LAME 3.98.2
* [update] OggEnc 2.85 (libvorbis 1.2.3)

0.7.2.4506
* [update] MediaCoder build 4506
** [fix] media information retrievement issue with FLV and several other formats
** [add] support for AviSynth external plugins
** [add] subtitle support with AviSynth
** [fix] several AviSynth issues in previous build
* [add] optional AviSynth installation with plugins

0.7.2.4502
* [update] MediaCoder build 4502
** [fix] encoding video display window causing crash issue
** [fix] TS and MKV demuxing issue
** [fix] test phase failure bug when encoding to 1080p
** [update] AviSynth support vastly improved
** [update] automatically use AviSynth to decode if possible and fallback to other sources when not
* [add] optional Avisynth installation
* [update] MPlayer r29661
* [update] x264 r1251

0.7.1.4496
* [update] MediaCoder build 4496
** [fix] duration detection issue which also causes trancoding progress not displayed
** [fix] cropping no effect issue when filtering video with encoder
** [fix] audio channel remapping crashing issue
** [fix] aspect ratio mess-up issue
** [fix] output slightly truncated bug in 4488
* [update] MPlayer r29583 (built with GUI)
* [update] MPUI removed
* [update] x264 r1239

0.7.1.4488
* [update] MediaCoder build 4488
** [add] x264 auto-variance AQ option
** [update] Subpixel motion estimation option
** [fix] crashing issue caused by MediaInfo
** [fix] grouping/join feature breakage
* [update] MediaInfo 0.7.20
* [update] oggenc2.85-1.2.3

0.7.1.4486
* [update] MediaCoder build 4486
** [fix] encoder priority option bug
** [fix] occasional GUI frozen on start-up bug
** [update] CUDA H.264 tab options
** [fix] PSP H.264 compatibility issue
* [update] CUDA H.264 encoder
** [add] encoder built-in de-interacing
* [update] x264 r1195
* [update] MediaInfo 0.7.19
* [update] MPlayer r29463

0.7.1.4480
* [update] MediaCoder build 4480
** [add] very experimental CUDA-based video filters (scaling, deinterlacing and 3D-denoising)
** [add] video filtering applicator option
** [update] Media Transcoding Platform application UI improved
** [fix] Firefox 3.5 compatibility issue of XUL applications
* [update] CUDA H.264 encoder
** [add] slice count option for tweaking up visual quality
** [update] maximum B-frames of 16

0.7.1.4475
* [update] MediaCoder build 4475
** [fix] total tasks progress display issue in multiple-pass mode
** [fix] multiple audio track format detection issue
** [fix] CUDA H.264 encoder bitrate control issue
** [fix] DVD ripping issue
* [update] MediaInfo 0.7.18
* [update] OggEnc 2.85 (libvorbis 1.2.2)
* [update] Theora encoder 1.1

0.7.1.4470
* [update] MediaCoder build 4470
** [update] CUDA H.264 encoding re-enabled
** [add] intelligent threading decision for x264
** [fix] transcoding progress indicator issue
** [update] Croatian translation
* [update] CUDA h.264 encoder (built with CUDA 2.2)
* [fix] MEncoder issue

0.7.1.4466
* [update] MediaCoder build 4466
** [update] dual channel down-mixing algorithm
** [fix] Xvid encoding performance issue on multi-core processors
** [update] improve overall transcoding performance for multi-core processors
** [update] Finnish translation
* [update] x264 r1165
* [update] MPlayer/MEncoder r29319
* [update] FFmpeg r19159
* [update] MediaInfo 0.7.17
* [add] xvidcore x64 build (in x64 update)

0.7.1.4430
* [update] MediaCoder build 4430
** [add] CUDA accelerated H.264 encoder
** [add] CUDA accelerated frame scale filter
** [add] video buffer memory utilization control option
** [fix] aspect ratio issue
** [fix] misc bugfixes
* [add] CUDA H.264 encoder
* [add] CUDA video filter (only down-scaling implemented at the moment)
* [update] x264 r1163
* [update] MediaInfo 0.7.16

0.7.0.4399
* [update] MediaCoder build 4399
** [add] automatic encoder process priority setting
** [fix] MP4 aspect ratio issue
** [update] improve batch transcoding consistency
** [fix] MPlayer video source breakage
** [fix] mencoder's sws parameter not functioning issue
** [update] Russian translation
* [update] SDL 1.2.13
* [update] MPlayer/MEncoder r29269

0.7.0.4390
* [update] MediaCoder build 4390
** [fix] file descriptor resource leaking issue
** [fix] sub/idx subtitle issue
** [fix] files with multiple audio tracks joining issue
* [update] libiconv 1.13
* [update] MKVMerge 2.7.0 (dll missing issue fixed)
* [update] XULPlayer 0.6.0
* [update] MP4Box 0.4.6 dev
* [update] MediaInfo 0.7.14
* [update] FFmpeg r18696
* [update] MPlayer/MEncoder r29240, large file (>2GB) issue fixed
* [update] x264 r1145

0.7.0.4380
* [update] MediaCoder build 4380
** [add] extension builder (now complaint with and based on mcex.org)
** [fix] MKV parsing and decoding breakage
** [fix] Nero encoder bitrate setting display bug
** [fix] AAC audio bitrate information retrieving issue
** [update] disable console window close button
** [update] French translation
** [update] Portuguese (Brazilian) translation
* [update] faad2 2.7
* [update] faac 1.28
* [update] x264 r1140
* [update] MPlayer/MEncoder r29188 (SSE utilization built-in)

0.7.0.4370
* [update] MediaCoder build 4370
** [update] x264 default options
** [update] popup menu of Preview toolbar button
** [fix] several minor fixups
* [update] x264 r1137
* [update] XULPlayer 0.5.2

0.7.0-rc3
* [update] MediaCoder build 4360
** [update] several UI issues
* [update] MediaInfo 0.7.12
* [update] x264 r1134
* [update] MPlayer/MEncoder r29123

0.7.0-rc2
* [update] MediaCoder build 4350
** [update] several minor improvements
** [fix] benchmark mode issues
** [add] settings file location option in installer
* [update] XviD 1.2.1
* [update] x264 r1129
* [update] XULPlayer 0.5.1.1

0.7.0-rc1
* [update] MediaCoder build 4333
** [update] new toolbar design
** [update] new layout of Video, Audio and Container tabs
** [add] new Sound tab for remapping audio channels and adjusting volume level
** [add] remuxer option for post-processing output file with a muxer tool
** [add] dual audio tracks transcoding
* [update] x264 r1120
* [update] MPlayer/MEncoder r28806
* [update] MP4Creator 1.6.1e
* [add] optional extra codecs download (installer)

0.6.2.4275
* [update] MediaCoder build 4275
** [fix] Windows Vista UAC compatibility issue
** [fix] VobSub (.sub/.idx) subtitle loading issue
** [fix] crop button on extension dialog not working issue
** [add] item grouping for joining files (Join Mode removed)
** [fix] CUE sheet start position prompt issue
** [update] online extensions user interface improved
* [update] MediaCoder CLI 1.2.4270
* [update] x264 r1113
* [update] MediaInfo 0.7.10
* [add] optional xulrunner download (installer)

0.6.2.4255
* [update] MediaCoder build 4255
* [update] MediaCoder CLI 1.2.4256
* [update] x264 r1086 (core66)
* [update] MPlayer/MEncoder r28347
** [add] DVDNAV support
** [add] Direct3D video output
* [update] FFmpeg r16719
** [update] optimized build options

0.6.2.4250
* [update] MediaCoder build 4250
** [update] Video Disc Player extension
** [update] output frame rate default value
** [fix] UI interaction issues with mcex.org (MediaCoder extension center)
* [update] MediaCoder CLI 1.2.4250
* [update] MPUI-hcb 090114
* [update] MP4Box 0.4.5-20081206
* [update] x264 r1077
* [update] FFmpeg r16599

0.6.2.4242
* [update] MediaCoder build 4242
** [fix] FFmpeg audio source issue
** [fix] Add Track feature blocking issue on some systems
** [fix] browser mode setting not saved issue
** [fix] CUE sheet index tag issue
** [fix] join mode issue of audio transcoding
* [update] MediaCoder CLI 1.2.4242
* [update] MKV Merger 2.4.1 (missing files included)
* [update] Oggenc 2.85 (aoTuVb5.61)
* [update] x264 r1065
* [update] FFmpeg r16410
* [update] MPUI-hcb 081228
* [update] MPlayer/MEncoder r28238
** [fix] duration detection issue (breaking progress indication)
** [add] AMR NB/WB decoding
** [add] native RV30 and RV40 decoding

0.6.2.4226
* [update] MediaCoder build 4226
** [fix] clipping dialog breakage
** [update] Windows Media video encoding performance improved for dual-core processor
** [add] error code displayed in file list
** [add] support for tsMuxer (a free TS multiplexer)
** [fix] LAME VBR bitrate estimation bug
** [add] option to use Firefox application mode for showing XUL interfaces
* [update] MediaCoder CLI 1.0.4224
* [add] tsMuxer 1.6
* [add] MusePack SV8 Encoder
* [update] MediaInfo 0.7.8
* [update] x264 r1057
* [update] FFmpeg r16187
* [update] MPlayer/MEncoder r28159

0.6.2.4215
* [update] MediaCoder build 4215
** [fix] some information not retrieved for elementary stream and TS stream
** [fix] Windows Media encoding breakage
** [add] looping benchmarking process
** [fix] B-frame option not specified correctly for FFmpeg
** [fix] automatic folder creation no effect bug
** [update] Traditional Chinese translation
* [update] MediaInfo 0.7.7.8
* [update] FFmpeg r15890

0.6.2.4210
* [update] MediaCoder build 4210
** [add] transcoding benchmarking mode
** [add] transcoding report
** [fix] mp4box muxing issue when file name is very long (also causing txt and xml files generated)
** [fix] some minor bugs
** [update] Finnish translation
* [update] FFmpeg r15793

0.6.2.4205
* [update] MediaCoder build 4205
** [add] more verbose and X64 compatible CPU capablity detection
** [fix] encoding with CT aacPlus encoder issue
** [fix] encoding with Fraunhofer IIS MP3 encoder issue
** [add] automatically finding XULRunner in the folder of MediaCoder
** [fix] compatiblity issue with latest XULRunner (1.9.0.X)
** [fix] tags not transferred bug for FLAC and several other formats
* [update] FFmpeg r15735
* [update] MPlayer/MEncoder r27841

0.6.2.4200
* [update] MediaCoder build 4200
** [add] experimental Setup Wizard
** [fix] MEncoder H.264 encoding brekage
** [fix] tags not being retrieved bug for FLAC and several other formats
** [fix] possible blocking issue on quad-core processors
** [update] support for Fraunhofer IIS MP3 version 1.5
* [update] LAME 3.98.2
* [update] MediaInfo 0.7.7.7
* [update] FFmpeg r15633
* [update] MPlayer/MEncoder r27798

0.6.1.4196
* [update] MediaCoder build 4196
** [update] sync x264 options with x264 core65
** [fix] Windows Media Video encoding breakage in recent builds
** [fix] audio channel mapping breakage
* [update] x264 r999 (core65)
* [update] MPlayer/MEncoder r27731

0.6.1.4193
* [update] MediaCoder build 4193
** [add] subtitle text scale option
** [add] subtitle encoding (ANSI/UTF-8/unicode)
** [add] new options for x264's adaptive B-frame decision, variance AQ method and psychovisual optimization
** [fix] fix-ups for online extensions support
** [fix] frame rate issue when mkvmerge multiplexes H.264 ES
** [update] the Extension button now gives the choice of connecting to MediaCoder Extension Center (experimental)
** [update] PSP target folder name updated for newer firmware
* [update] x264 r982
* [update] Dirac video codec 1.0.0
* [update] mkvmerge 2.3.0
* [update] MPlayer/MEncoder r27632

0.6.1.4190
* [update] MediaCoder build 4190
** [fix] XviD 2-pass bitrate control issue when using xvidcore encoder
** [fix] HE-AAC not signalled for MP4Box issue
** [update] audio & video decoding threads synchronization improved (to avoid transcoding unexpected ending before completion)
** [update] Polish and Russian translations
* [update] x264 r965

0.6.1.4180
* [update] MediaCoder build 4180
** [fix] WMA/WMV encoding breakage in recent builds fixed
** [fix] removing unneeded quotation marks in encoder command lines
** [add] option for x264's new motion estimation method
** [add] subtitle file muxing
** [fix] Wine compatible issues fixed
** [add] aware of Wine and native Linux Firefox
** [update] move Generic tab to the first position
** [update] device plugins updated
** [update] French and Belarussian translations updated
* [update] MediaInfo 0.7.7.5

0.6.1.4166
* [update] MediaCoder build 4166
** [add] XML-configurable (via mccodecs.xml) interfaces to audio encoders
** [fix] Ogg/Vorbis file decoding issue
** [fix] DVD ripping issue in recent builds
* [update] OggEnc2 2.85 (aoTuVb5.5)
* [update] x264 r928
* [update] FFmpeg r14623
* [update] MPlayer/MEncoder r27421

0.6.1.4150
* [update] MediaCoder build 4150
** [update] media server function stability improved
** [add] HE-AAC/LC-AAC audio streaming
** [add] automatic media server M3U playlist generating
** [update] more human-friendly preset file format
** [fix] file overwriting prompt dialog not shown bug
** [fix] mis-behavior when clicking the start button twice quickly
* [update] WavPack 4.50
* [update] x264 r915
* [update] FFmpeg r14382
* [update] MPlayer/MEncoder r27348

0.6.1.4140
* [update] MediaCoder build 4140
** [fix] audio sync issue when resampling enabled (bug since 4130)
** [fix] Dirac encoding breakage
** [add] Dirac decoding and playback
** [add] browser safe mode option (a workaround for browser issue)
** [add] JM H.264 encoder support
** [add] Russian translation
* [add] JM H.264 encoder
* [update] LAME 3.98 final
* [update] x264 r912
* [update] MediaInfo 0.7.7.4
* [update] FFmpeg r14255 (built with Dirac codec)
* [update] MPlayer/MEncoder r27292 (built with Dirac codec)

0.6.1.4130
* [update] MediaCoder build 4130
** [add] new Demux task mode for demuxing files without transcoding
** [add] stream demuxing for audio/video source
** [add] JM H.264 decoder support
** [add] ability to correctly decode AVCHD (the format used by many HD camcorder)
** [fix] AviSynth script template bug
** [update] media file parameters identification improved 
* [add] JM H.264 decoder
* [update] FFmpeg r14055
* [update] MPlayer/MEncoder r27185

0.6.1.4116
* [update] MediaCoder build 4116
** [add] MOV container support (again)
** [add] option to turn off screenshot message box
** [add] native AviSynth video source
** [add] AviSynth script template feature
** [fix] blocking issue with some Windows Media Video files
** [update] Hungarian, Polish, Portuguese, Spanish translations
* [update] MediaInfo DLL 0.7.7.2
* [update] x264 r883
* [update] patched x264 to support yv12 input in addition to i420
* [update] FFmpeg r13765 (with H.264 Flash Video support)
* [update] MPlayer/MEncoder r27056

0.6.1.4112
* [update] MediaCoder build 4112
** [fix] queue file loading/saving issue
** [fix] WMA and WMV encoding breakage
** [fix] tray icon disappearing issue after Windows Explorer crash
** [fix] no longer set processor affinity to avoid multiple instance running on the same core
** [fix] expert mode GUI crashing issue
** [fix] waveform header parsing issue with some files (causing spike at beginning)
** [update] multi-channel audio support improved
** [update] Bulgarian translation
** [update] French translation
** [update] Italian translation
** [update] German translation
* [update] LAME 3.98b11
* [update] FFmpeg r13272
* [update] MPlayer/MEncoder r26863
* [update] x264 r859

0.6.1.4106
* [update] MediaCoder build 4106
** [add] automatic thumbnails generating
** [add] MOV container support
** [add] Dutch translation
** [fix] DVD ripping issues
** [fix] CUE sheet INDEX tag bug
** [update] Belarussian translation
** [update] French translation
** [add] using external audio file for audio track
** [add] waveform composer audio source
** [fix] wavpack audio source not displayed bug
* [update] Dirac encoder 0.9.1
* [update] FFmpeg r12759
* [update] MPlayer/MEncoder r26582
* [update] x264 r839

0.6.1.4098
* [update] MediaCoder build 4098
** [add] waveform composer audio source
** [fix] wavpack audio source not displayed bug
** [fix] several other bugs
* [update] MediaInfo DLL 0.7.6.3
* [update] x264 r819
* [update] MPlayer r26454

0.6.1.4095
* [update] MediaCoder build 4095
** [update] Media Server feature improved
** [fix] PSP plugin issues
** [fix] FFmpeg audio option bug
** [fix] M3U playlist loading issue
** [fix] several WMA/WMV encoding issues (including output WMV not seekable issue)
** [fix] MPEG 1/2 encoding breakage
** [fix] raw video (i420/yv12) output breakage
* [update] x264 r808
* [update] FFmpeg r12666
* [update] MPlayer/MEncoder r26320

0.6.1.4077
* [update] MediaCoder build 4077
** [fix] YouTube-like URL transcoding issues
** [add] directly adding RSS feeds containing video URLs
** [add] retreiving YouTube video title and using as output file name
** [add] direct drag-and-drop for browser links and other texts
** [fix] blocking on end issue of YouTube URL transcoding
** [fix] several possible issues when matroska muxer used
** [update] Belarussian translation
* [update] MediaInfo DLL 0.7.6.1
* [update] x264 r757
* [update] FFmpeg r12503
* [update] MPlayer/MEncoder r26264

0.6.1.4068
* [update] MediaCoder build 4068
** [add] H.264 bitstream level option
** [add] newly added x264 options
** [add] remote extension support
** [add] YouTube-like video direct transcoding feature (experimental)
** [fix] large file size display issue
* [update] FFmpeg r12356

0.6.1.4063
* [update] MediaCoder build 4063
** [fix] waveform file parsing bug
** [fix] audio track scan blocking issue
** [fix] minor UI issues
** [fix] FLAC and WavPack decoder not working issue
** [fix] DVD/VCD/CD ripping breakage
** [fix] audio track enumerating bug
** [add] XML-RPC API (experimental)
** [add] Portuguese (Brazilian) translation
** [update] German translation
** [fix] x264 level option on x264 tab not working bug
** [fix] scale option issue when cropping enabled
* [update] x264 r745
* [update] FFmpeg r12296
* [update] MPlayer/MEncoder r26142

0.6.1.4050
* [update] MediaCoder build 4050
** [update] LAME command line options (to sync with LAME 3.98) and LAME tab UI
** [update] side bar media information accuracy improved
** [add] container overhead calculation (just for referrence)
** [fix] FFmpeg multi-threading option issue for some codecs
* [update] MediaInfo DLL 0.7.5.9
* [update] FFmpeg r11927

0.6.1.4048
* [update] MediaCoder build 4048
** [fix] Windows Media encoding breakage
** [fix] PSP extension breakage
** [fix] proxy option not applied for forum RSS retrieving
** [add] WavPack decoder audio source
** [add] Belarussian translation
** [update] Hungarian translation
* [update] MediaInfo DLL 0.7.5.8
* [update] FFmpeg r11830

0.6.1.4045
* [update] MediaCoder build 4045
** [add] options for sharpen/blur filter
** [fix] possible unusability of the Clipping & Effects dialog on some systems
** [fix] a bug that causes Winamp input plugin to crash
** [fix] video copy issues in some cases
** [fix] start/end position not specified for FFmpeg bug
** [fix] GUI issue of XviD tab
** [fix] extra command line options issue
** [fix] copying multi-channel audio results in 2-channel audio
* [update] x264 r736
* [update] FFmpeg r11662
* [update] MPlayer/MEncoder r25908

0.6.1.4038
* [update] MediaCoder build 4038
** [add] forward/rewind buttons on Clipping and Effects dialog
** [fix] an occasional program start-up issue
** [fix] x264 2-pass/3-pass encoding issue
** [fix] MPEG encoding blocking issue
** [fix] CD ripping problem
** [update] improved consistence of DSP plugins calling
** [add] plugins tab for configuring audio input and DSP plugins
* [update] Dirac encoder 0.9
* [update] x264 r721
* [update] FFmpeg r11604
* [update] MPlayer/MEncoder r25844

0.6.1.4031
* [update] MediaCoder build 4031
** [fix] specifying output file name for individual entry not working bug
** [fix] an attempt to solving early ending and A/V not sync issues
** [fix] forum RSS issue
** [fix] keyboard input of custom resolution not working bug
** [fix] information of multiple audio tracks not enumerated bug
** [fix] normalization option saving issue
** [update] German translation
* [update] x264 r720
* [update] FFmpeg r11538
* [update] MPlayer/MEncoder r25772
* [update] MediaInfo DLL 0.7.5.7

0.6.1.4026
* [update] MediaCoder build 4026
** [fix] information of multiple audio tracks not enumerated bug
** [fix] normalization option saving issue
** [fix] audio copy not working with MP4Box and MKVMerge issue
** [fix] Settings dialog blocking issue
** [fix] FLV to AVI transcoding issue
** [fix] Nero encoder CBR encoding issue

0.6.1.4023
* [update] MediaCoder build 4023
** [update] left/right option tabs layout (more extendiable)
** [add] several additional option tabs including tabs for x264 and XviD
** [add] RSS feeds of forum posts 
** [add] file list item order adjustment (items can be move up and down)
** [fix] 2-pass/3-pass encoding issue in recent builds
** [fix] TTA decoding bug
** [fix] many misc fixups
* [update] x264 r719
* [update] FFmpeg r11482
* [update] MPlayer/MEncoder r25659

0.6.0.3999
* [update] MediaCoder build 3999
** [update] enhanced 3GPP AAC+ encoder support
** [fix] APE decoder seek problem
** [fix] CUE Sheet support breakage
** [fix] several minor fixups
* [update] Enhanced 3GPP AAC+ Encoder (patched for AAC/ADTS container support)
* [update] x264 r714

0.6.0.3998
* [update] MediaCoder build 3998
** [add] APE decoder source
** [update] video backend selection logic
** [update] automatically use mp3PRO decoder to decode mp3PRO files
** [fix] Fraunhofer IIS MP3 encoder issues
** [fix] language data loading issue with several languages
** [fix] x64 portability issues
** [fix] misc fixups
* [update] x264 r712
* [update] MPlayer/MEncoder r25421

0.6.0.3996
* [update] MediaCoder build 3996
** [fix] FLV transcoding A/V sync problem
** [fix] multi-channel audio channel mapping issue
** [add] a possible audio sampling rate mis-identifying
** [add] Fraunhofer IIS MP3 encoder support (encoder binary not shipped)
** [add] Hungarian translation
** [update] resolution presets
** [update] default H.264 stream level changed to 4.0 (compatible with QuickTime)
** [fix] testing phase issues
** [fix] play transcoded file with MPUI bug
** [fix] a bug in HTTP daemon that might cause CPU to be fully occupied even when idle
* [update] MediaInfo DLL 0.7.5.6
* [update] x264 r711
* [update] FFmpeg r11200
* [update] MPlayer/MEncoder r25349

0.6.0.3990
* [update] MediaCoder build 3990
** [add] option to let FAAC output in MP4 container directly (default AAC)
** [add] Spanish (Latin American) translation
** [add] subtitle loading fuzziness option
** [fix] 2-pass transcoding unstable problem
** [fix] tag transfer problem for several formats
** [fix] FLAC decoder clipping at beginning issue
** [fix] testing phase not ending as expected bug
** [fix] several minor bugfixes
* [update] FAAC 1.26 (compiled with MP4 container support)
* [update] Matroska Merger (mkvmerge) 2.1.0
* [update] x264 r709
* [update] FFmpeg r11170
* [update] MPlayer/MEncoder r25304

0.6.0.3982
* [update] MediaCoder build 3982
** [fix] testing phase not ending bug (when start time set)
* [update] FLAC decoder built in MPlayer/MEncoder

0.6.0.3980
* [update] MediaCoder build 3980
** [fix] split mode breakage in recent builds
** [add] splitting by number of frame mode
** [add] frame being encoded can be displayed with SDL
** [add] exact frame seeking for encoding start and stop (Settings->Overall->Decoding Options)
** [fix] several join mode issues
** [fix] progress information mistakes corrected
** [fix] raw container not usable bug
** [fix] a testing phase issue
** [add] EDL file option for MPlayer/MEncoder
** [add] SDL video output option for MPlayer/MEncoder
* [add] SDL runtime library
* [update] x264 r685
* [update] FFmpeg r11045
* [update] MPlayer r25045 (SDL built in)
* [update] MEncoder r25045

0.6.0.3945
* [update] MediaCoder build 3945 (urgent bugfix release to 3940)
** [fix] a bug that causes transcoded file to get overwritten unexpectedly
** [fix] audio decoding with Winamp input plugins finishing before reaching end issue
** [fix] another attempt to fix UI messing-up issue on high-DPI screens
** [fix] temporary multi-pass stats file not removed bug

0.6.0.3940
* [update] MediaCoder build 3940
** [add] testing phase before actual transcoding
** [add] LAME preset option
** [update] quality value to XviD quantizer mapping equation
** [fix] large file list issue
* [update] x264 r682
* [update] FFmpeg r10927
* [update] MPlayer/MEncoder r24968

0.6.0.3932
* [update] MediaCoder build 3932
** [add] new crop mode of edge coordinates
** [update] system information user interface
** [fix] issues caused by the newly implemented ring buffer
** [add] Korean translation
** [fix] Clipping and Effects dialog mark in/out issue
* [update] FAAC 1.26
* [update] MEncoder r24845
* [update] MP4Box reverted to 0.4.4 for stability

0.6.0.3920
* [update] MediaCoder build 3920
** [add] FFmpeg audio and video source
** [add] ring buffer in transcoding data flow for optimizing data throughput
** [add] MP3/MP4 player extension
** [add] network stream properties display
** [fix] network stream (http,ftp,rtsp etc.) transcoding
** [fix] AVS script transcoding
** [fix] exceptional (e.g. decoder/encoder process terminated unexpectedly) blocking issues
* [update] x264 switched to Cef's patched build which has better performance
* [update] MPlayer 1.0rc2
* [update] MEncoder r24798
* [update] FFmpeg r10759

0.6.0.3905
* [update] MediaCoder build 3905
** [add] PMP MOD AVC/AAC (aka PMP MOD Advance) support
** [fix] power off on complete not working issue
** [fix] support for legacy PMP MOD XviD restored (the legacy muxer ships with PSP edition only)
** [fix] occasional WMV frame rate incorrect parsing issue
** [fix] crop button on extension window not working issue
** [update] the Time tab user interface reworked
** [update] remove SSR type from FAAC object type (no longer supported)
* [update] PMP MOD AVC muxer updated (support for AAC audio added)
* [update] MediaInfo DLL 0.7.5.3

0.6.0.3902
* [update] MediaCoder build 3902
** [fix] audio delay option no effect bug
** [fix] a critical bug that may seriously affect XviD encoding performance
** [fix] a bug that causes high CPU utilization when transcoding paused (with some encoder backends)
** [fix] exported waveform file header chunk size mistake
** [fix] MP4Box on vista issue (specify -tmp argument for MP4Box)
** [add] auto switching to SSE2-enabled vorbis encoder on detection of SSE2 support
** [add] balloon tip enable/disable option
** [update] sync Dirac support to Dirac 0.8.0
** [update] time tab user interface reworked
* [add] SSE2-enabled vorbis encoder (OggEnc Lancer)
* [update] Dirac encoder 0.8.0
* [update] x264 r680
* [update] FFmpeg r10666
* [update] MPlayer/MEncoder r24701

0.6.0.3880
* [update] MediaCoder build 3880
** [add] transcoding benchmarking
** [fix] FAAC encoder breakage
** [fix] LAME encoded audio hissing issue
** [fix] LAME decoder breakage
** [fix] M3U playlist loading issue
** [add] tray icon and balloon tips
** [fix] waveform file export issue
** [fix] CUE Sheet offset calculation issue
** [add] True Audio (TTA) format decoding
** [add] file name wildcard option for adding folder
** [update] improved effects dialog mark in/out selection
* [update] Nero AAC Encoder 1.1.34.2 (2007-08-06)
* [update] x264 r678
* [update] FFmpeg r10492
* [update] MPlayer/MEncoder r24588

0.6.0.3870
* [update] MediaCoder build 3870
** [add] custom quant matrices option for x264
** [add] muxer track order option (overall.container.trackOrder)
** [fix] skinned UI mode breakage
** [fix] set output filename bug
* [update] LAME 3.98b5
* [update] x264 r676
* [update] FFmpeg r10492
* [update] MPlayer/MEncoder r24481 (large file issue fixed)

0.6.0.3866
* [update] MediaCoder build 3866
** [fix] WMA encoding breakage
** [fix] WMV/WMA tagging bug
** [fix] FFmpeg backend breakage
** [add] screenshot button on "Clipping & Effects" dialog
** [fix] an audio transcoding bug
** [update] "Add URL" menu item enabled
** [fix] "Add Track" dialog crashing bug
** [fix] some misc bugfixes
* [update] XviD 1.1.3 (SMP enabled)
* [update] x264 r671 (SSE3 support compiled in)
* [update] FFmpeg r10251

0.6.0.3855
* [update] MediaCoder build 3855
** [add] media properties display in main interface
** [fix] a critical bug with Windows Media Video files as input 
** [fix] working state display bug in status bar
** [fix] audio copy issue with AVI container
** [update] small tweaks of the user interface
* [update] OggEnc 2.84 aoTuVb5
* [update] Windows Media backend (fix decoding issue)
* [update] x264 r669
* [update] FFmpeg r10115
* [update] MPlayer/MEncoder r24056

0.6.0.3842
* [update] MediaCoder build 3842
** [add] Japanese translation
** [fix] H.264/MEncoder encoding bitrate control bug
** [fix] unable to process files containing multiple spaces in file name
** [fix] WavPack encoding problem
* [update] FFmpeg r9980
* [update] MPlayer r24028

0.6.0.3830
* [update] MediaCoder build 3830
** [fix] output file name invalid character issue
** [fix] output frame rate issue with H.264 in MKV
** [fix] file removed bug when choosing to skip existing file
** [fix] iPod and AppleTV extensions
** [add] error messages for invalid audio/video/container combinations
** [update] tags written to outputted FLAC files
** [fix] mistakes on summary tab (including audio channel number mis-report)
** [fix] several minor bugfixes
* [update] FLAC encoder 1.2.0
* [update] MPlayer r23992

0.6.0.3822
* [update] MediaCoder build 3822
** [fix] bugs introduced in with multi-channel support
** [update] "original" option removed from resolution and frame rate drop-down list
** [add] experimental 4-channel and 5.1-channel audio support
** [fix] a minor MEncoder video filter option bug
** [update] brightness/contrast/saturation/hue effects previewable on-the-fly
* [update] FFmpeg r9778
* [update] MPlayer/MEncoder r23850

0.6.0.3798
* [update] MediaCoder build 3798
** [add] countdown dialog box for showing all pop-up messages and inquiries
** [fix] LAME MP3 mono encoding issue
** [add] tagging id3v2 for MP3 files
** [update] temporary file naming changed 
** [fix] crashing issue with MP4Box 0.4.5
** [fix] another attempt to fix WMV encoding issue
** [fix] Flash Video Maker extension bugs
* [update] MP4box 0.4.5-DEV 20070703
* [update] x264 r667
* [update] FFmpeg r9674
* [update] MPlayer/MEncoder r23784

0.6.0.3792
* [update] MediaCoder build 3792
** [fix] H.264 bitrate-based encoding bug
** [fix] some split mode issues
** [fix] subtitling breakage
** [update] CSS-protected DVD ripping feature became optional
** [update] PSP extension speed improved
* [update] x264 r663
* [update] MPlayer/MEncoder r23698

0.6.0.3788
* [update] MediaCoder build 3788
** [add] support for ripping CSS-protected DVD
** [fix] some DVD ripping issues
** [fix] language setting issue
** [update] Apple TV extension
* [update] x264 r662
* [update] MPlayer/MEncoder r23676

0.6.0.3780
* [update] MediaCoder build 3780
** [fix] FFmpeg backend breakage with XviD and FAAC
** [fix] fix autoaspect option issue with MEncoder/XviD
** [fix] Easy Cropper problem
** [fix] splitting by file size issue
** [fix] statistics error in split mode
** [fix] an audio stream mis-detection bug
** [fix] problem of converting WMV without specified output frame rate
* [update] x264 r661
* [update] FFmpeg r9388 (compile with XviD support again)
* [update] MPlayer/MEncoder r23605
* [update] using GCC 4.2 to compile encoders

0.6.0.3770
* [update] MediaCoder build 3770
** [fix] critical performance issue on single-core processors
** [fix] specifying preset from command line no effect issue
** [fix] several wrong display info in summary tab
** [add] Czech translation
* [update] x264 r659
* [update] FFmpeg r9290
* [add] wnaspi32.dll included to avoid freezing of Add Track dialog

0.6.0.3760
* [update] MediaCoder build 3760
** [fix] issue of MJPEG + AMR encoding in MP4 container encoding
** [fix] Speex encoding bug
** [fix] FFmpeg audio encoder breakage
** [fix] a bug in directory duplication
** [fix] XviD crashing issue on being stopped before completed
** [fix] seek bar in effect dialog not working bug (when play time is longer than 65535 seconds)
** [fix] WMV fps reporting mistake
** [update] German translation
* [update] replace XviD core with the multi-threading enabled version (XviD performance on dual-core improved)
* [update] replace MP4Box with an older stabler build (20061005)
* [update] MPlayer r23487
* [update] FFmpeg r9234
* [add] additional VC2005 runtime DLLs included

0.6.0.3735
* [update] MediaCoder build 3735
** [add] native CD audio source (using SPTI, not working on Win9x)
** [add] native Windows Media Decoder source (experimental)
** [add] native Windows Media Encoder backend (experimental)
** [add] new Windows Media Audio/Video configuration dialog
** [fix] output sampling mismatching bug
** [fix] PSP extension issue
** [fix] FAAC encoding issue
** [fix] MP4Box muxing issue with MJPEG stream
** [fix] preview function breakage
** [fix] deblock options in effect dialog no effect issue
** [fix] some audio only transcoding issues
** [fix] quite a lot other fix-ups
* [update] x264 r656
* [update] MPlayer/MEncoder r23390
* [update] FFmpeg r9143
* [update] MP4Box 0.4.3-dev-20070518

0.6.0.3699
* [update] MediaCoder build 3699
** [fix] video stream copy not working when external muxer used
** [fix] stop button does skipping instead of stopping bug
** [add] split mode works again (still experimental, split by time only at the moment)
** [fix] set output file no effect bug
** [fix] DVD root path issue
** [update] Italian translation
** [add] softskip option for MEncoder
** [fix] fixed PAR options and added more aspect ratio options
* [update] MPlayer/MEncoder r23330
* [update] FFmpeg r9051

0.6.0.3690
* [update] MediaCoder build 3690
** [add] several absent XviD options (including BVHQ)
** [add] file list invert selection
** [update] preference window reworked with XUL
** [update] aspect ratio option updated
** [fix] join mode issues
* [update] Dirac video encoder 0.7.0
* [update] MPlayer/MEncoder r23315
* [update] FFmpeg r9022
* [update] x264 r655

0.6.0.3680
* [update] MediaCoder build 3680
** [add] flip and mirror effect options
** [add] Apple TV extension (experimental)
** [update] iPod extension
** [update] x264 Setup extension
** [update] changed the lowest bitrate for LAME to 8kbps
** [add] scratch VFW encoder backend (currently derived from MEncoder backend)
* [update] MPlayer/MEncoder r23153
* [update] FFmpeg r8853

0.6.0.3670
* [update] MediaCoder build 3670
** [update] join mode now works again for both audio and video files
** [add] audio and video overriding options, useful for encode raw audio (PCM) raw video files (YUV)
* [update] MPlayer/MEncoder r23097
** [update] MPlayer patched to fix an issue with MediaCoder's join mode
* [update] FFmpeg r8792
* [update] x264 r654

0.6.0-pre12

* [update] MediaCoder build 3660
** [add] using mp4info to retrieve MP4 file information (more details of MP4 files available)
** [add] hint track option of MP4Box
** [add] RSS feed tab
** [add] file list manipulatable via extension's JavaScript code (see Digital Video Players extension)
** [update] re-added global options on picture tab
** [fix] fixed a bug that causing recent builds to crash in some cases
** [fix] fixed waveform export function
** [update] automatically set MP4Box 3GP output option
* [update] FFmpeg r8767
* [update] MPlayer/MEncoder r23050
* [add] mp4info binary

0.6.0-pre11
* [update] MediaCoder build 3622
** [fix] audio file bug in recent builds
** [fix] XviD backend rate control issues
** [fix] settings dialog options messing up issue
** [add] multiple audio stream selection (no need to enter audio ID now)
** [add] information of multiple audio streams in summary tab
** [fix] alternative DVD disc root setting no effect bug
** [fix] several clipping and effects dialog issues
** [update] PSP extension presets
** [update] using XML to store file list
** [update] removed some confusing options (like global options on picture tab)
** [add] YADIF deinterlacer option
** [fix] attempt to fix the occasional transcoding ending before done issue
* [update] x264 r650
* [update] FFmpeg r8737
* [update] MPlayer/MEncoder r23002

0.6.0-pre10
* [update] MediaCoder build 3578
** [add] clipping and effects dialog
** [fix] LAME mono audio encoding issue
** [fix] playback pause bug
** [fix] MPEG maker extension no audio issue
** [fix] default settings not working with some AC3/DTS input issue
* [update] x264 r648	
* [update] MPlayer/MEncoder r22949
* [update] FFmpeg r8687

0.6.0-pre9b
* [update] Mediacoder build 3560
** [fix] MPEG maker extension no audio issue
** [fix] default settings not working with some AC3/DTS input issue
* [update] x264 r638
* [update] MPlayer/MEncoder r22906
* [update] FFmpeg r8612

0.6.0-pre9a
* [update] Mediacoder build 3555
** [fix] a bug that causes some extensions not working normally
** [fix] a bug that causes VCD/DVD transcoding can never be started
** [update] output folder auto created if not existed
** [fix] specifying file name in command line
** [update] encoder/muxer auto selection algorithm
** [update] French translation
* [update] x264 r635
* [update] MPlayer/MEncoder r22838
* [update] FFmpeg r8540 

0.6.0-pre9
* [update] Mediacoder build 3540
** [add] extension shortcut menus
** [add] fourcc override option (overall.video.fourcc) which currently only has effect with MEncoder and FFmpeg backends right now
** [fix] individual output file name can't be specified bug
** [fix] a multilingual bug (some strings in the GUI are not multilingual)
** [fix] several minor bugs in batch processing
** [update] minor performance tweaks 
* [update] MPlayer/MEncoder r22791
* [update] FFmpeg r8491 

0.6.0-pre8
* [update] Mediacoder build 3520
** [add] broken frame handling (to avoid chroma issue when broken frames appear)
** [fix] a resource leak in process handling
** [fix] issues caused by muxer auto selection
** [add] XviD backend (using xvidcore.dll)
** [update] changed Minimo M2 extension into an extension for generic mobile phones
** [fix] command line extension loading issue
** [fix] several misc. fixups
* [add] XviD encoder DLL (1.1.2-CVS)
* [update] libavcodec/libavformat/libavutil built into DLLs to reduce the overall size of binaries
* [update] x264 r634
* [update] MPlayer r22709
* [update] FFmpeg r8438
* [update] MKVMerge 2.0.0.2

0.6.0-pre7
* [update] Mediacoder build 3480
** [add] command line option to load specified extension on startup
** [add] command line option to force UI mode
** [add] add pause button (it pauses transcoding when transcoding and pauses playback when playing)
** [update] auto bitrate calculation (from specified target file size or compression ratio) with audio bitrate taken into account
** [update] "Add" button now pops up a menu for adding different objects
** [update] German translation updated (thanks to J¨¹rgen)
** [fix[ reverting settings no longer reverts language choice
** [fix] two pass transcoding breakage in last release
* [update] MPlayer/MEncoder svn-r22560
* [update] FFmpeg svn-r8397

0.6.0-pre6
* [update] MediaCoder build 3468
** [add] system information extension
** [fix] muxer auto-selection bug when audio is not enabled
** [fix] extension video playback seek bug
** [update] changed default video/audio encoder from XviD/MP3 to H.264/AAC
** [add] extension for Newman N66 MP3 player
** [add] extension for home video players (like PVR)
** [add] display data throughput in statistic window
** [add] muxer auto selection
** [add] Opera support for web-based UI
* [update] FFmpeg svn-r8314 (removed x264 library from FFmpeg binary)

0.6.0-pre5
* [update] MediaCoder build 3438
** [add] automatically switch to SSE2 version of Nero Encoder when SSE2 support is detected
** [add] transparent (on-the-fly) 7-zip decompression
** [update] extensions now packed in 7-zip archieves instead of being files scattering around
** [add] Dirac encoder (BBC's open source wavelet video encoder) support
** [add] group setting preset of files feature
** [update] command line display in expert mode improved (taking auto selection of source/backend into account)
* [add] Dirac encoder DLL
* [update] MPlayer/MEncoder svn-r22483
* [update] FFmpeg svn-r8280
* [update] x264 svn-r628
* [update] FLAC 1.1.4
* [update] Nero Digital Audio+ 1.0.7.0 (SSE2 version included)

0.6.0-pre4
* [update] MediaCoder build 3386
** [fix] a minor bug of x264 options
** [update] PSP extension updated with support for new PSP video format (480x272 AVC)
** [fix] Settings dialog boolean value not saved bug
** [fix] miniPlayer extension comes to work again
** [update] improved extension base XSLT
** [fix] x264 setup extension breakage
* [update] x264 patched to enable it working as backend
* [update] MPlayer/MEncoder svn-r22379
* [update] FFmpeg svn-r8162
* [add] AtomChanger for PSP AVC encoding

0.6.0-pre3
* [update] MediaCoder build 3370
** [fix] Matroska breakage
** [update] all extensions updated for the new browser plugin
** [update] implemented a browser plug-in for video playback in extension window
** [fix] multiple-pass transcoding issues
** [fix] audio transcoding progress not displayed issue
** [update] use MPUI to preview transcoded files
** [fix] a bug that causes preset file not loading all settings
** [fix] a bug in extension launcher
** [update] improved Settings dialog (using XSLT)
** [update] extensions and plugins unified
* [update] MPlayer/MEncoder svn-r22324
* [update] FFmpeg svn-r8098 (fixed complication issue in last release)
* [update] x264 svn-r623
* [update] MediaInfo DLL 0.7.4.5

0.6.0-pre2
* [update] MediaCoder build 3325
** [fix] audio resampling issue
** [fix] Windows 98/ME compatibility
** [fix] APE/cuesheet breakage
** [update] MediaCoder extension interface updated and finalized
** [update] all extensions updated to conform the new interface
** [add] extension for MS Zune
** [fix] a random transcoding blocking issue
* [update] MPlayer/MEncoder svn-r22215
* [update] FFmpeg svn-r7991
* [update] replace LAME 3.98 alpha with LAME 3.97 stable release

0.6.0-pre1
* [update] MediaCoder build 3288
** [add] raw video frames are retrieved from video source (MPlayer, AVISynth etc.) and sent to video encoders instead of letting video encoders to do decoding (in other words, MediaCoder is no longer a just launcher for various video encoders but can help them to decode what they can't, just like what MediaCoder deals with audio previously)
** [add] video source and encoder can be freely coupled (this used to have many limits)
** [add] audio decoding, video decoding and audio/video encoding can now be done in individual process/thread (good for multi-core processors)
** [add] use theora reference encoder (which can only eat raw I420/YV12 and PCM data) to replace ffmpeg2theora (no longer need it)
** [add] preset per file feature (specifying individual preset for each file)
** [add] raw audio/video statistics
** [add] Flash Video producing extension
** [add] audio ripper extension
** [add] audio/video playback/encoding benchmark extension (a bit like 3DMark, but benchmarking for audio/video performance, may come a bit later)
** [add] native AVISynth support (both audio and video source) 
** [add] hibernate/standby on complete feature
** [fix] transcoding process unexpected ending fixed
** [fix] many combinations of input and output formats that didn't use to work have the chance to work
** [update] audio/video stream dumping function improved
** [update] lots of code segments rewritten (less dependence on Win32 API) and classes reconstructed for better future development and the upcoming Linux porting
** [update] better process controls and portability
** [update] improved console window
** [update] meta info (tags) of audio/video files now retrieved with (patched) MPlayer
* [add] Theora reference encoder
* [update] Matroska Merge 2.0
* [update] MPlayer/MEncoder patched and updated
* [update] FFmpeg patched and updated
* [update] x264 svn-r622

==0.5.1==
0.5.1-r9
----
* [update] MediaCoder build 2845
** [fix] target file size estimation bug
** [fix] online update checking thread memory leak
** [fix] FFmpeg backend output file extension mistake
** [add] processor time utilization control (experimental)
** [fix] wrong file size display with files bigger than 4GB
** [update] less dependent on MediaInfo library (more on MPlayer)
* [update] MediaInfo library updated to 0.7.4.3
* [update] MPlayer and MEncoder svn-r21785
* [add] MPlayer and MEncoder built with Theora and Speex decoding support
* [update] FFmpeg svn-r7382

0.5.1-r8
----
* [update] MediaCoder build 2828
** [fix] Matroska breakage
** [fix] audio transcoding (with MPlayer source) breakage
** [add] support for x264 standalone encoder backend
** [fix] AVISynth source breakage
** [update] x264 multi-threading option
** [add] more specific error messages
** [fix] MPlayer source bug with file names containing white spaces
* [update] x264 svn-r614
* [add] x264.exe (built with pthread and fprofile)
* [update] MPlayer svn-r21694
* [update] FFmpeg svn-r7333

0.5.1-r7
----
* MediaCoder updated to build 2822
** fixed some rare subtitle issues in build 2815
** updated CPU detection code
** set processor affinity for audio encoders (improved performance for dual-core CPUs)
** added multi-threading option for FFmpeg
** auto enabling video encoder multi-threading when multi-core processor is detected
** bugfix for E900 extension
** fixed build 2815 crashing issue on Windows 2003
* MPlayer/MEncoder updated
* FFmpeg updated

0.5.1-r6
----
* MediaCoder updated to build 2815
** added support for Speex encoder
** fixed subtitle character set issue (a big fix for Chinese users)
** added more subtitle features and a new subtitle tab
** auto set subtitle file once detected
** added interlaced encoding option for FFmpeg
** fixed audio stream selection bug (audio ID setting no effect)
** updated miniPlayer extension
* Matroska Merger  1.8.1
* Ogg Vorbis 2.83 (aoTuVb5)
* WavPack 4.40
* WavPack Winamp input plugin 2.4
* FAAC 1.25
* Speex encoder 1.2beta1
* Speex Winamp input plugin 0.55
* x264 r606
* MPlayer/MEncoder r21599
* FFmpeg r7284

0.5.1-r5
----
* MediaCoder updated to build 2798
** updated many x264 options
** added a nice x264 setup extension (experimental)
** fixed tag name quotation mark missing issue
** fixed extension video window positioning inaccurate issue
** updated German and Finnish translation
** added Meizu miniPlayer extension (contribution)
** fixed a theora2ffmpeg option bug
** fixed Winamp input and DSP plug-in configuration window breakage
** fixed several UI bugs
** improved plug-in interface
** improved PSP plug-in
** fixed some video playback issues
* FLAC decoder and encoder updated 1.1.3
* MPlayer and MEncoder updated
* FFmpeg updated to r7221

0.5.1-r4
----
* MediaCoder updated to build 2777
** added clip selection dialog
** removed unnecessary MEncoder expanding option
** fixed Chinese path name messing up issue
** fixed "skip 10s" button in extension window not working issue
** updated German translation
* MPlayer and MEncoder updated to r21305
* updated FFmpeg to r7177
* updated x264 to r603
* updated MusePack encoder to 1.16

0.5.1-r3
----
* MediaCoder updated to build 2764
** fixed a WMA issue
** fixed iPod plugin b-frame setting mistake which might break video playback on iPod
** improved PSP plugin (added MPEG-4 SP mode and file transmission feature)
** improved FFmpeg support (cropping options now applied on FFmpeg, bitrate option issue fixed)
** added options for de-logo filter
** fixed audio delay bug
** improved device plugin interface
* updated FFmpeg to r7159
* updated x264 to r602

0.5.1-r2
----
* MediaCoder updated to build 2750
** added Theora support
** fixed the command line crashing bug again
** fixed aspect ratio option ignored with ffmpeg backend
** misc fix-ups and improvements
* updated MPlayer (now built with GCC-4.1)
* updated FFmpeg to r7719 (now built with GCC-4.1)
* updated x264 to r600 (now built with GCC-4.1)
* included ffmpeg2theora

0.5.1-r1
----
* MediaCoder updated to build 2738
** added huffyuv codec support
** updated Windows Media Encoder front-end
** fixed video playback breakage in extension window
** updated extensions and plug-ins
** added Archos extension
** added some video resolution options
** improved some user interfaces
** improved scaling options
** improved x264 options
** updated Italian translation
* updated MPlayer and MEncoder
* updated FFmpeg to r6894
* updated x264 to r598
* updated XviD to 1.1.2
* updated MP4Box to 0.53
* updated Matroska merger to 1.7.0
* updated MPUI to 1.2-pre3

0.5.1-pre12
----
* MediaCoder updated to build 2722
** fixed an FFmpeg command line option bug
** fixed extension list not shown bug
** fixed x264 bitrate control not effect issue
* updated MPlayer and MEncoder to r20450
* updated FFmpeg to r6793

0.5.1-pre11
----
* MediaCoder updated to build 2708
** attempt to fix the issues of VCD/DVD complaint file production
** fixed Minimo plugin breakage
** improved Video Disc Player plugin
** added crop option menu in device plugin dialog
* updated x264 to r594
* updated MEncoder
* updated FFmpeg

0.5.1-pre10
----
* MediaCoder updated to build 2708
** added auto cropping/expanding to fit target resolution
** fixed MPEG bitrate control out of effect bug
** fixed MPEG Maker extension breakage
** fixed Video Disc Player plugin breakage
** fixed iPod plugin breakage
* updated MPlayer

0.5.1-pre9
----
* MediaCoder updated to build 2702
** fixed progress not showing issue when transcoding to WMA/WMV
** fixed Winamp input plugins breakage
** added command line options
** fixed audio downmix issue
** fixed the breakage of some device plug-ins
** fixed crashing issue when transcoding audio with intermediate wave file 
** fixed a Windows Media related issue that causes startup crashing
** fixed a bug in joiner mode
** updated x264 interfacing code to sync with latest x264
** fixed an MEncoder command line bug
** added experimental batch renaming/moving mode
** improved batch transcoding stablility
** removed popping up video transcoding error message (write to log instead)
** fixed quit on startup issue when built-in HTTPd cannot start
** added Polish translation
* updated x264
* updated MEncoder
* updated FFmpeg

0.5.1-pre8
----
* MediaCoder updated to build 2596
** added more support for AVISynth
** added video frame source option
** added video encoder backend hanging up checking
** fixed some tagging issues
** fixed x264 encoding issue when FFfmpeg as backend
** added German translation
** fixed with exit on startup when built-in HTTPd cannot start
** removed popping up video transcoding error message (write to log instead)
* updated MPlayer/MEncoder to r19860
* patched MEncoder to add AVISynth audio demuxing
* updated FFmpeg to r6290

0.5.1-pre7
----
* MediaCoder updated to build 2562
** fixed some FFMPEG issues
** improved multilingual support
** added Finnish, Turkish, Italian, Bulgarian and traditional Chinese translations
** fixed preview during transcoding not working bug
** fixed skip function breakage
** fixed post-processing crashing issue
** fixed N70 plug-in breakage
** added transcoding process pausing/resuming function
** added Italian and Bulgarian translations
** fixed Winamp input plugin and DSP plugin configuration UI breakage
*1* fixed displaying encoder/muxer version function breakage
*1* fixed preview tab breakage
*1* fixed some UI issues
* fixed XULRunner writing in Windows folder issue
* updated libxml2 and libiconv

0.5.1-pre6a
----
* MediaCoder updated to build 2510
** fixed some multilingual issues

0.5.1-pre6
----
* MediaCoder updated to build 2508
** added multilingual support (translation needed)
** fixed a bug in FFMPEG audio resampling option
** added French translation (thanks to Christophe Humbert)

0.5.1-pre5
----
* MediaCoder updated to build 2470
** added multiple back-end option
** added support for FFMPEG and Windows Media Encoder as back-end
** improved MPEG maker extension
** clean up some options
** fixed adding file issue (not all selections are added)
** misc fixups
* updated FFMPEG

0.5.1-pre4
----
* MediaCoder updated to build 2456
** fixed multiple audio transcoding breakage
** improved extension loader
** added MPEG maker extension

0.5.1-pre3
----
* MediaCoder updated to build 2428
** fixed Win9x compatibility issue
** added WMV9 encoding
** included missing extension files

0.5.1-pre2
----
* MediaCoder updated to build 2425
** added extension mechanism
** added base support for AVISynth
** fixed audio stream copy not working with MPEG container bug
** fixed a bug that may cause crashing on startup
** fixed H.264 3-pass encoding bug
* updated MEncoder
* updated OggEnc with Lancer optimized version
* updated LAME encoder to 3.98 alpha 6
* updated XULRunner

0.5.1-pre1
----
* MediaCoder updated to build 2390
** added skinned UI mode
** added file list context menu
** added private/global option for crop/scale/fps parameters and enabled multiple selection operation
** fixed rotating setting bug
** WMA encoding code rewritten (now transfer tags to WMA files)
* updated MPlayer/MEncoder

==0.5.0==

0.5.0-r2
----
* MediaCoder updated to build 2338
** fixed MJPEG encoding crash issue
** fixed aspect ratio issue
** added full-range option for auto level filter
** now users can choose to ignore an update until the next update is available
** added an adjustable interval between transcoding two items to avoid CPU over-heat with mass transcoding (Settings -> Task -> Transcoding Interval)
** added more detailed error message on startup
** fixed settings in Options menu not retained bug
* includes MPlayer/MEncoder 1.0pre8 instead of the latest SVN version
* updated MediaInfo library

0.5.0-r1
----
* MediaCoder updated to build 2298
** fixed issue of encoding with CT aacPlus encoder in Winamp 5.23+
** some cleaning up with the transcoding flow
** improved Easy Cropper (now it's real easy and cool)
** fixed Add Track dialog breakage (will improve it further)
** implemented device plug-in
** added AVC support for PSP transcoding (PMP AVC)
** audio and video now get transcoded in 2 threads at the same time (a performance boost for dual-core processors)
** added brightness/contrast/saturation/hue adjustment
** calculates and displays audio bitrate and estimated file size during transcoding
** preference data are toally XML-based
** use XULRunner to display some user interface
** added setup wizard
** added audio/video format and container matching checkup
** many minor fixups and improvements
* integrated XULRunner instead of Firefox
* updated MPlayer / MEncoder
